using System.Collections.Generic;

using Spark3D.LightSources;
using Spark3D.Projector3D;

namespace Spark3D.Objects3D
{
    public interface IObject3D
    {
        IList<Polygon2D> Polygons(IProjector3D projector);
        void Illuminate(ILightSource light);
    }
}
